// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property({type: cc.EditBox})
    editbox:cc.EditBox = null;

    @property({type: cc.Label})
    label:cc.Label = null;

    // onLoad () {}

    //start () {}

    // update (dt) {}

    onValueEntered(){
        var _value = this.editbox.getComponent(cc.EditBox).string;
        this.label.getComponent(cc.Label).string = "Value entered:" + _value;
    }
}
